<?php
require_once("../../functions.php");
$pag = basename($_SERVER['PHP_SELF']);
comprobar_postget('post', ['id_empleado', 'archivo'], $pag, false, '');
gen_plantilla(true, $pag, false, false, '', false, false);

$id_empleado = filter_input(INPUT_POST, 'id_empleado', FILTER_SANITIZE_NUMBER_INT);
$archivo = filter_input(INPUT_POST, 'archivo', FILTER_SANITIZE_SPECIAL_CHARS);
$onclick = "eliminar_documento('$id_empleado','$archivo')";
if (isset($_POST['nomina'])) $onclick = "eliminar_nomina('$id_empleado','$archivo')";
?>
<dialog id="dialog" class="cristal" open>
    <h2>¿Estás seguro que deseas eliminar el documento <span class="rojo"><?= $archivo ?></span>?</h2>
    <section class="flex column gap1 supercentrado">
        <section class="flex row gap1 alinear">
            <button id="cancelar" class="btn-t">Cancelar</button>
            <button id="eliminar" class="btn-p" style="background-color: var(--rojo);" onclick="<?= $onclick ?>">Eliminar</button>
        </section>
    </section>
</dialog>